/* backup all xfolder sources to a new directory
   ..\_backup must exist already */
'@echo off'
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/* parse arg args */

call charout ,"Enter version number: >>"
args = LINEIN();

dir = directory()||'\..\_backup\'||args;
say "Backing up to: "dir
'md 'dir
'md 'dir'\helpers'
'md 'dir'\main'
'copy *.cmd 'dir
'copy *.txt 'dir
'copy main\*.c 'dir'\main'
'copy main\*.h 'dir'\main'
'copy main\*.def 'dir'\main'
'copy main\*.ico 'dir'\main'
'copy main\*.idl 'dir'\main'
'copy main\*.mak 'dir'\main'
'copy main\*.rc 'dir'\main'
'copy helpers\* 'dir'\helpers'

